/* GERAL */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Roboto", sans-serif;
}

body {
  background-color: #0f0f0f;
  height: 100vh;
}

.interface {
  max-width: 1280px;
  margin: 0 auto;
}

.flex {
  display: flex;
}
.btn-contato button {
  padding: 10px 40px;
  font-size: 18px;
  font-weight: 600px;
  background-color: rgba(144, 67, 216, 0.897);
  border: 0;
  border-radius: 30px;
  cursor: pointer;
  transition: .45s;
}

.btn-contato button:hover {
  box-shadow: 0px 0px 10px rgb(132, 0, 255);
  transform: scale(1.05);
}

h2.titulo {
  color: #fff;
  font-size: 36px;
  text-align: center;
}

h2.titulo span {
  color: rgba(144, 67, 216, 0.897);
}

::-webkit-scrollbar{
  width: 10px;
}

::-webkit-scrollbar-thumb{
  width: 10px;
  background-color: rgb(132, 0, 255);
  border-radius: 25px;
}

/* CABEÇALHO */

header {
  padding: 40px 4%;
}

header > .interface {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

header a {
  color: #ffffffb6;
  text-decoration: none;
  display: inline-block;
  transition: 0.2s;
}

header nav.menu-desktop a:hover {
  color: #fff;
  transform: scale(1.05);
}

header nav ul {
  list-style-type: none;
}

header nav.menu-desktop ul li {
  display: inline-block;
  padding: 0 40px;
}

header .interface .logo {
  color: #fff;
}

header .interface .logo span {
  color: rgba(144, 67, 216, 0.897);
  display: block;
}

/* ESTILO DO MENU MOBILE */

.btn-abrir-menu i{
  color: rgb(132, 0, 255);
  font-size: 40px;
}

.menu-mobile{
  background-color: #0f0f0f;
  height: 100vh;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 99999;
  width: 0%;
  overflow: hidden;
  transition: .3s;
}

.menu-mobile.abrir-menu{
  width: 70%;
}

.menu-mobile.abrir-menu ~ .overlay-menu{
  display: block;
}

.menu-mobile .btn-fechar{
  padding: 20px 5%;
}

.menu-mobile .btn-fechar i{
  color: rgba(144, 67, 216, 0.897);
  font-size: 30px;

}

.menu-mobile nav ul{
  text-align: right;
} 

.menu-mobile ul li a{
  color: #fff;
  font-size: 20px;
  font-weight: 300;
  padding: 20px 8%;
  display: block;
}

.menu-mobile ul li a:hover{
  background-color:  rgba(144, 67, 216, 0.897);
  color: #0f0f0f;
}

.overlay-menu{
  background-color: #0e0d0d71;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 88888;
  display: none;
}

.btn-abrir-menu{
  display: none;
}

/* ESTILO DO TOPO */

section.topo-do-site {
  padding: 40px 4%;
}

section.topo-do-site .flex {
  align-items: center;
  justify-content: center;
  gap: 90px;
}

.topo-do-site h1 {
  color: #fff;
  font-size: 40px;
  line-height: 40px;
}

.topo-do-site .txt-topo-site{
  min-width: 290px;
  position: absolute;
  left: 100px;
  visibility: hidden;
}

.topo-do-site .txt-topo-site h1{
  font-size: 32px;
}

.topo-do-site .txt-topo-site p{
  position: relative;
  max-width: 600px;
}

.topo-do-site .txt-topo-site h1 span {
  position: relative;
  color: rgba(144, 67, 216, 0.897);
}


.topo-do-site .txt-topo-site h1 span::before{
  content: "soluções";
  color: #fff;
  animation: palavras 20s infinite;
}

.topo-do-site .txt-topo-site h1 span::after{
  content: "";
  position: absolute;
  width: calc(100% + 8px);
  height: 100%;
  background-color: #0f0f0f;
  border-left: 1.5px solid rgba(144, 67, 216, 0.897);
  right: -8px;
  animation: pisca .85s infinite, escrevendo 20s steps(14) infinite;
}

@keyframes pisca{
  to{
    border-left: 2px solid #0f0f0f;
  }
}

@keyframes palavras{
  0%,20%{
    content: "SOFTWARES";
  }
  21%,40%{
    content: "CODIGOS";
  }
  41%,60%{
    content: "TECNOLOGIAS";
  }
  61%,80%{
    content: "WEBSITES";
  }
  81%,100%{
    content: "PROJETOS";
  }
}

@keyframes escrevendo{
  10%,15%,30%,35%,40%,45%,50%,55%,60%,65%,70%,75%,80%,85%,90%,95%{
    width: 0;
  }
  5%,20%,25%,40%,45%,60%,65%,80%,85%{
    width: calc(100% + 8px);
  }
}

.topo-do-site .txt-topo-site p {
  color: #fff;
  margin: 40px 0;
}

.topo-do-site .img-topo-site img {
  position: relative;
  animation: flutuante 2s ease-in-out infinite alternate;
  width: 395px;
  height: 395px;
  left: 100%;
  margin-top: -25px;
  visibility: hidden;
}

@keyframes flutuante {
  0% {
    top: 0;
  }
  100% {
    top: 30px;
  }
}

/* Estilo das especialidades */

section.especialidades {
  padding: 90px 4%;
}

section.especialidades .flex {
  align-items: center;
  justify-content: center;
  gap: 60px;
  margin-top: 50px;
}

.especialidades .especialidades-box {
  color: #fff;
  padding: 40px;
  border-radius: 20px;
  margin-top: 45px;
  transition: 0.2s;
}

.especialidades .especialidades-box p{
  position: relative;
  max-width: 400px;
}



.especialidades .especialidades-box:hover {
  transform: scale(1.05);
  box-shadow: 0 0 20px #ffffff5e;
}

.especialidades .especialidades-box i {
  font-size: 64px;
  color: rgba(144, 67, 216, 0.897);
}

.especialidades .especialidades-box h3 {
  font-size: 30px;
  margin: 20px 0;
}

/* Estilo do sobre */

section.sobre {
  padding: 80px 4%;
}

section.sobre .flex {
  align-items: center;
  gap: 80px;
  justify-content: center;
}

.sobre .txt-sobre {
  color: #fff;
  visibility: hidden;
}

.sobre .txt-sobre h2 {
  font-size: 40px;
  line-height: 40px;
  margin-bottom: 30px;
}

.sobre .txt-sobre h2 span {
  color: rgba(144, 67, 216, 0.897);
  display: block;
}

.sobre .txt-sobre p {
  margin: 20px 0;
  text-align: justify;
}

.btn-social button {
  width: 60px;
  height: 60px;
  border-radius: 50%;
  border: none;
  background-color: rgba(144, 67, 216, 0.897);
  font-size: 27px;
  margin: 0 6px;
  cursor: pointer;
  transition: 0.4s;
}

.btn-social button:hover{
  box-shadow: 0px 0px 10px rgb(132, 0, 255);
  transform: scale(1.05);
}

.sobre .img-sobre img {
  border-radius: 25px;
  visibility: hidden;
}

.sobre .txt-sobre .btn-social button:hover {
  box-shadow: 0px 0px 8px rgb(132, 0, 255);
  transform: scale(1.15);
}

.sobre .img-sobre img {
  align-items: center;
  gap: 80px;
  justify-content: center;
}

/* ESTILO DO PORTFÓLIO */

section.portfolio {
  padding: 80px 4%;
  box-shadow: 0 0 40px 10px #ffffff13;
}

.img-port {
  width: 360px;
  height: 460px;
  background-size: cover;
  background-position: 100% 0%;
  transition: 8s;
  cursor: pointer;
  border-radius: 40px;
  position: relative;
}

.img-port:hover {
  background-position: 100% 100%;
}

section.portfolio .flex {
  justify-content: space-around;
  margin-top: 60px;
}

.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 24px;
  font-weight: 600;
  background-color: #1f1e1e;
  color: #fff;
  opacity: 0;
  transition: 0.5s;
}

.overlay:hover {
  opacity: 1;
}

/* FORMULARIO */

section.formulario {
  padding: 80px 4%;
}

form {
  max-width: 500px;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap: 10px;
  margin-top: 40px;
}

form input,
form textarea {
  width: 100%;
  background-color: #242424;
  border: 0;
  outline: 0;
  padding: 20px 15px;
  border-radius: 20px;
  color: #fff;
  font-size: 20px;
}

form textarea {
  resize: none;
  max-height: 200px;
}

form .btn-enviar {
  margin-top: 25px;
  text-align: center;
}

form .btn-enviar input {
  width: 120px;
  background-color: rgba(144, 67, 216, 0.897);
  color: #0f0f0f;
  font-weight: 700;
  cursor: pointer;
  transition: 0.4s;
}

form .btn-enviar input:hover {
  box-shadow: 0px 0px 10px rgb(132, 0, 255);
  transform: scale(1.05);
}

/* rodapé */

footer .interface .line-footer .logo-footer h1 {
  color: #fff;
}

footer .interface .line-footer .logo-footer span {
  color: rgba(144, 67, 216, 0.897);
  display: block;
}

footer {
  padding: 60px 4%;
  box-shadow: 0 0 40px 10px #ffffff13;
}

footer .flex {
  justify-content: space-between;
}

footer .line-footer {
  padding: 20px 0;
}

footer .line-footer p i {
  color: rgba(144, 67, 216, 0.897);
  font-size: 30px;
}

footer .line-footer p a {
  color: #fff;
}

.borda {
  border-top: 2px solid rgba(144, 67, 216, 0.897);
}

input[type=number]::-webkit-inner-spin-button { 
  -webkit-appearance: none;
  
}
input[type=number] { 
 -moz-appearance: textfield;
 appearance: textfield;

}

@media screen and (max-width: 1180px) {
  /* classes gerais */

  .btn-abrir-menu{
    display: block;
}

  .flex {
    flex-direction: column;
  }

  h2.titulo {
    font-size: 34px;
    line-height: 35px;
  }

  /* Cabeçalho */
  .menu-desktop,
  .btn-contato {
    display: none;
  }

  /* topo do site */
  .topo-do-site .txt-topo-site{
    position: relative;
    left: 0;
    min-width: 0
  }

  .topo-do-site .img-topo-site img{
    width: 395px;
    height: 395px;
    left: 0;
    margin-top: 0px;
  }

  .topo-do-site .flex {
    flex-direction: column-reverse;
  }

  section.topo-do-site {
    padding: 20px 8%;
  }

  .topo-do-site h1 {
    font-size: 30px;
  }

  .topo-do-site .img-topo-site img {
    width: 100%;
  }
  section.topo-do-site .flex {
    gap: 40px;
  }

  /* minhas especialidades */

  section.especialidades {
    padding: 40px 8%;
  }

  /* Sobre */

  section.sobre {
    padding: 80px 8%;
  }

  .sobre .txt-sobre h2 {
    font-size: 34px;
    line-height: 35px;
    text-align: center;
  }

  .btn-social {
    text-align: center;
  }

  /* portifolio */
  section.portfolio {
    padding: 80px 8%;
  }

  .img-port {
    width: 100%;
    max-width: 360px;
    margin: 0 auto;
  }
  section.portfolio .flex {
    gap: 60px;
  }

  /* rodapé */

  footer .flex {
    flex-direction: column;
    gap: 30px;
  }
  
  footer .line-footer {
    text-align: center;
  }
  
}
